#!/bin/bash

# 10/05/2014, author: Maxim Suhanov

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

srcdev="$1"
dstdev="$2"
if [ -z "$srcdev" ] || [ -z "$dstdev" ]; then
	dialog --msgbox "Не выбраны накопители!" 12 60
	exit 5
fi

if [ "$ALTQUIRE_DST" != "$dstdev" ]; then # Double-check
	dialog --msgbox "Ошибка: \"$dstdev\" != \"$ALTQUIRE_DST\"!" 12 60
	exit 6
fi

logfile=`mktemp --suffix=.dc3dd 2> /dev/null`

# Run dc3dd
clear
echo 'Запуск клонирования. Для отмены клонирования нажмите Ctrl+C.'
echo ''

dc3dd if="$srcdev" of="$dstdev" log="$logfile"

# Examine the log file
grep -q '^dc3dd completed at ' "$logfile"
if [ $? == 0 ]; then  # dc3dd successfully completed
	question=`echo -e "Клонирование успешно завершено! Более подробные сведения можно найти в журнальном файле по адресу \"$logfile\".\n\nОтобразить содержимое указанного файла?"`
	dialog --visit-items --cr-wrap --yes-label "Да" --no-label "Нет" --yesno "$question" 12 60

	ec="$?"
	# What did user select?
	case $ec in
		255) exit 255;; # Error or "ESC" key pressed
		0) # "YES" button pressed, display the log
			dialog --exit-label "Вернуться" --textbox "$logfile" 60 75
			exec ./255-finish.sh
		;;
		1) exec ./255-finish.sh;; # "NO" button pressed, go to next step
	esac
else # dc3dd failed
	question=`echo -e "Клонирование было прервано из-за ошибки или из-за его отмены пользователем! Более подробные сведения можно найти в журнальном файле по адресу \"$logfile\".\n\nОтобразить содержимое указанного файла?"`
	dialog --visit-items --cr-wrap --yes-label "Да" --no-label "Нет" --yesno "$question" 12 65

	ec="$?"
	# What did user select?
	case $ec in
		255) exit 255;; # Error or "ESC" key pressed
		0) # "YES" button pressed, display the log
			dialog --exit-label "Вернуться" --textbox "$logfile" 60 75
			exec ./255-finish.sh
		;;
		1) exec ./255-finish.sh;; # "NO" button pressed, go to next step
	esac
fi


