#!/bin/bash

# 10/05/2014, author: Maxim Suhanov

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

. get-sn.sh

srcdev="$1"
if [ -z "$srcdev" ]; then
	dialog --msgbox "Сначала нужно выбрать накопитель, с которого будут скопированы данные!" 12 60
	exit 5
fi

devcount=0
menulist=''
while read line; do # List block devices (without RAM disks, CD drives, loop devices and without source drive)
	dev=`echo "$line" | cut -d ' ' -f 1`
	if [ "$srcdev" != "$dev" ]; then
		devcount=$(($devcount+1))
		size=`echo "$line" | cut -d ' ' -f 2`
		model=`echo "$line" | cut -d ' ' -f 3-`
		sn=`get_sn "/dev/$dev"`
		menulist="$menulist \"$dev\" \"$model, емкость: $size, с/н: $sn\""
	fi
done < <(lsblk -dnro NAME,SIZE,MODEL -e 1,7,25,26,27,28,24,21,15,29,16,23,20,32,17,18,46,11,22 2> /dev/null) # See "http://www.faqs.org/docs/Linux-HOWTO/CDROM-HOWTO.html"

if [ $devcount == 0 ]; then # No block devices found
	dialog --msgbox "Доступных накопителей не обнаружено!" 12 60
	exec ./255-finish.sh
fi

# Display menulist
tmpfile=`mktemp 2> /dev/null`
command="dialog --visit-items --cancel-label \"Назад\" --ok-label \"Выбрать накопитель\" --extra-button --extra-label \"Обновить список\" --menu \"Выберите накопитель, на который следует скопировать данные (накопитель-приемник):\" 23 75 20 $menulist 2> "$tmpfile""
eval "$command"
ec="$?"
device=`cat "$tmpfile" 2> /dev/null`
rm -f "$tmpfile" 2> /dev/null

# What did user select?
case $ec in
	255) exit 255;; # Error or "ESC" key pressed
	0) # "OK" button pressed
			if [ ! -z "$device" ]; then
				exec ./3-select-confirm.sh "$srcdev" "$device" # Next step
			else
				exec $0 "$srcdev" # Nothing was selected
			fi
		;;
	1) exec ./1-select-source.sh;; # "Cancel" button pressed
	3) exec $0 "$srcdev";; # "Extra" button pressed
esac
