#!/bin/bash

# 10/05/2014, author: Maxim Suhanov

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

mountpoint="$1"
if [ ! -z "$mountpoint" ]; then
	umount "$mountpoint" 2> /dev/null
	ec="$?"
	if [ $ec != 0 ]; then # Cannot ummount
		dialog --msgbox "Невозможно отключить файловую систему, содержащую скопированные данные! В таком случае не отключайте накопитель, содержащий скопированные данные, до выключения компьютера." 12 60
	else
		rmdir "$mountpoint" 2> /dev/null
	fi
fi

export ALTQUIRE_DST=
dialog --visit-items --cr-wrap --yes-label "Да, завершить" --no-label "Нет, начать сначала" --yesno "Завершить работу с программой?" 12 60
ec="$?"

# What did user select?
case $ec in
	255) exit 255;; # Error or "ESC" key pressed
	0) exit 0;; # "YES" button pressed, quit
	1) exec ./1-select-source.sh;; # "NO" button pressed, start again
esac

