#!/bin/bash

# 10/05/2014, author: Maxim Suhanov

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

. get-sn.sh

srcdev="$1"
dstdev="$2"
if [ -z "$srcdev" ] || [ -z "$dstdev" ]; then
	dialog --msgbox "Не выбраны накопители!" 12 60
	exit 5
fi

srcstring=''
dststring=''
while read line; do # Collect information about selected devices
	dev=`echo "$line" | cut -d ' ' -f 1`
	if [ "$dev" == "$srcdev" ]; then
		srcsize=`echo "$line" | cut -d ' ' -f 2`
		srcmodel=`echo "$line" | cut -d ' ' -f 3-`
		srcsn=`get_sn "/dev/$dev"`
		srcstring="$dev, $srcmodel, $srcsize, $srcsn"
	fi
	if [ "$dev" == "$dstdev" ]; then
		dstsize=`echo "$line" | cut -d ' ' -f 2`
		dstmodel=`echo "$line" | cut -d ' ' -f 3-`
		dstsn=`get_sn "/dev/$dev"`
		dststring="$dev, $dstmodel, $dstsize, $dstsn"
	fi
done < <(lsblk -dnro NAME,SIZE,MODEL -e 7)

if [ -z "$dststring" ]; then # Something strange happened!
	dialog --msgbox "Ошибка при получении сведений о накопителе-приемнике!" 12 60
	exit 5
fi

if [ -z "$srcstring" ]; then
	srcstring="$srcdev"
fi

# Display confirmation dialog
question=`echo -e "Будет произведено копирование данных следующим образом:\nС НАКОПИТЕЛЯ $srcstring\nНА НАКОПИТЕЛЬ $dststring\n\nВсе верно?\n\nНажатие на кнопку \"Да\" еще не начнет копирование."`
dialog --visit-items --cr-wrap --yes-label "Да" --no-label "Нет" --yesno "$question" 16 60
ec="$?"

# What did user select?
case $ec in
	255) exit 255;; # Error or "ESC" key pressed
	0) # "YES" button pressed
		export ALTQUIRE_DST="/dev/$dstdev" # Use this global variable for further double-checking
		exec ./4-select-mode.sh "$srcdev" "$dstdev" # Go to next step
		;; 
	1) exec ./1-select-source.sh;; # "NO" button pressed
esac
