#!/bin/bash

# 10/05/2014, author: Maxim Suhanov

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

srcdev="$1"
dstdev="$2"
if [ -z "$srcdev" ] || [ -z "$dstdev" ]; then
	dialog --msgbox "Не выбраны накопители!" 12 60
	exit 5
fi

# Display menulist
tmpfile=`mktemp 2> /dev/null`
dialog --visit-items --cancel-label "В начало" --ok-label "Выбрать режим" --menu "Выберите режим копирования данных:" 23 75 20 "disk-to-file" "Копирование содержимого накопителя в файл" "disk-to-disk" "Создание клона накопителя" 2> "$tmpfile"
ec="$?"
mode=`cat "$tmpfile" 2> /dev/null`
rm -f "$tmpfile" 2> /dev/null

# What did user select?
case $ec in
	255) exit 255;; # Error or "ESC" key pressed
	0) # "OK" button pressed
		case $mode in
			disk-to-disk) exec ./5-clone-confirm.sh "$srcdev" "$dstdev";; # Next step
			disk-to-file) exec ./5-enter-caseinfo.sh "$srcdev" "$dstdev";; # Next step
		esac
		;;
	1) exec ./1-select-source.sh;; # "Cancel" button pressed
esac
