#!/bin/bash

# 10/05/2014, author: Maxim Suhanov

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

srcdev="$1"
dstdev="$2"
if [ -z "$srcdev" ] || [ -z "$dstdev" ]; then
	dialog --msgbox "Не выбраны накопители!" 12 60
	exit 5
fi

src_size=`blockdev --getsize64 "/dev/$srcdev" 2> /dev/null || echo 0`
dst_size=`blockdev --getsize64 "/dev/$dstdev" 2> /dev/null || echo 0`
if [ "$src_size" -gt "$dst_size" ]; then # Not enough space
	dialog --msgbox "Накопитель-приемник имеет меньшую емкость, чем накопитель-источник!" 12 60
	exec ./1-select-source.sh
fi

# Display confirmation dialog
question=`echo -e "Клонирование накопителя приведет к перезаписи имеющихся данных на накопителе-приемнике. Продолжить?"`
dialog --visit-items --cr-wrap --yes-label "Да" --no-label "Нет" --yesno "$question" 12 60
ec="$?"

# What did user select?
case $ec in
	255) exit 255;; # Error or "ESC" key pressed
	0) exec ./128-dc3dd-clone.sh "/dev/$srcdev" "/dev/$dstdev";; # "YES" button pressed, go to next step
	1) exec ./4-select-mode.sh "$srcdev" "$dstdev";; # "NO" button pressed
esac
