#!/bin/bash

# 10/05/2014, author: Maxim Suhanov

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

srcdev="$1"
dstdev="$2"
if [ -z "$srcdev" ] || [ -z "$dstdev" ]; then
	dialog --msgbox "Не выбраны накопители!" 12 60
	exit 5
fi

# Display input box
tmpfile=`mktemp 2> /dev/null`
dialog --visit-items --cancel-label "В начало" --ok-label "Ввод" --inputbox "Введите краткое описание обстоятельств копирования данных в произвольной форме (поле можно оставить пустым):" 25 60 2> "$tmpfile"
ec="$?"

# What did user select or enter? 
case $ec in
	255) # Error or "ESC" key pressed
		rm -f "$tmpfile" 2> /dev/null
		exit 255
	;;
	0) exec ./6-select-filesystem.sh "$srcdev" "$dstdev" "$tmpfile";; # "YES" button pressed, go to next step
	1) # "NO" button pressed
		rm -f "$tmpfile" 2> /dev/null
		exec ./1-select-source.sh
	;;
esac
