#!/bin/bash

# 10/05/2014, author: Maxim Suhanov

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

function get_sn() # Obtain serial number
{
	# First try
	sn=`hdparm -I "$1" 2> /dev/null | grep -i 'serial number:' | awk '{ sn = ""; for (i = 3; i <= NF; i++) sn = sn $i " "; print sn }' | strings`
	if [ -z "$sn" ]; then # Second try
		sn=`smartctl --all "$1" 2> /dev/null | grep -i 'serial number:' | awk '{ sn = ""; for (i = 3; i <= NF; i++) sn = sn $i " "; print sn }' | strings`
		if [ -z "$sn" ]; then # We got nothing
			sn='-'
		fi
	fi
	echo "$sn"
}
